summaryrefslogtreecommitdiffstats
path: root/gettext-tools
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 15:36:23 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:49 +0200
commit2e05ea9878df9c6d904b890c2e19cfc1a7422311 (patch)
tree9d307806edabc4d8cf3984fc4306c40f7cecc2cf /gettext-tools
parente8f4fc8d438d52f3939e2a810a89db2b20c1b955 (diff)
downloadexternal_gettext-2e05ea9878df9c6d904b890c2e19cfc1a7422311.zip
external_gettext-2e05ea9878df9c6d904b890c2e19cfc1a7422311.tar.gz
external_gettext-2e05ea9878df9c6d904b890c2e19cfc1a7422311.tar.bz2
Move tests/msgcomm-20 to gettext-tools/tests/msgcomm-20.
Diffstat (limited to 'gettext-tools')
-rwxr-xr-xgettext-tools/tests/msgcomm-2045
1 files changed, 45 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-20 b/gettext-tools/tests/msgcomm-20
new file mode 100755
index 0000000..198c3ad
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-20
@@ -0,0 +1,45 @@
+#! /bin/sh
+
+# Test --more-than=0; identical message are wanted once only.
+# If the first occurrence is not fuzzy, don't make the result fuzzy.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcomm-test20.in1 mcomm-test20.in2"
+cat <<EOF > mcomm-test20.in1
+# Sure.
+#: first.c:123
+msgid "1"
+msgstr "1x"
+EOF
+
+cat <<EOF > mcomm-test20.in2
+# Not sure.
+#: hunt.c:759
+#, fuzzy
+msgid "1"
+msgstr "1x"
+EOF
+
+tmpfiles="$tmpfiles mcomm-test20.out"
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} --more-than=0 -o mcomm-test20.out \
+ mcomm-test20.in1 mcomm-test20.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcomm-test20.ok"
+cat << EOF > mcomm-test20.ok
+# Sure.
+#: first.c:123 hunt.c:759
+msgid "1"
+msgstr "1x"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test20.ok mcomm-test20.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result